std::move_sentinel< _Sent >(3cxx)

NAME
std::move_sentinel< _Sent > - A sentinel adaptor for use with std::move_iterator.

SYNOPSIS

#include <iterator>

  Public Member Functions

constexpr move_sentinel (_Sent __s) noexcept(is_nothrow_move_constructible_v< _Sent >)
template<typename _S2>
requires convertible_to<const _S2&, _Sent>constexpr move_sentinel (const move_sentinel< _S2 > &__s) noexcept(is_nothrow_constructible_v< _Sent, const _S2 & >)"
constexpr _Sent base () const noexcept(is_nothrow_copy_constructible_v< _Sent >)
template<typename _S2>
requires assignable_from<_Sent&, const _S2&>constexpr move_sentinel & operator= (const move_sentinel< _S2 > &__s) noexcept(is_nothrow_assignable_v< _Sent, const _S2 & >)"

Detailed Description

  template<semiregular _Sent>
class std::move_sentinel< _Sent >"A sentinel adaptor for use with std::move_iterator.

Author

Generated automatically by Doxygen for libstdc++ from the source code.